\version "2.24.1"

N = 53
\include "haydn.ly"

#(set-global-staff-size (if final 14 12)) % remove

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new Oboes <<
            \new OboeI  { \I.Oboe.1 }
            \new OboeII { \I.Oboe.2 }
          >>
          \new Bassoon{ \I.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=\I.transpose.HornStaff } \partCombine \I.Horn.1 \I.Horn.2
        \new Timpani \with { tuning=\I.tuning.Timpani } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB    { \I.CB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Flute { \II.Flute }
          \new Oboes <<
            \new OboeI  { \II.Oboe.1 }
            \new OboeII { \II.Oboe.2 }
          >>
          \new Bassoon { \II.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=\II.transpose.HornStaff } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.CB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new Flute { \IIIa.Flute }
          \new Oboes <<
            \new OboeI  { \IIIa.Oboe.1 }
            \new OboeII { \IIIa.Oboe.2 }
          >>
          \new Bassoon { \IIIa.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=\IIIa.transpose.HornStaff } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
        \new Timpani \with { tuning=\IIIa.tuning.Timpani } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB    { \IIIa.CB }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup <<
          \new Flute { \IIIb.Flute }
        >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CB    { \IIIb.CB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = \markup \center-column { "IV" { \fontsize #-2 "Version A" } } }
    \paper{}
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new Oboes <<
            \new OboeI  { \IV.Oboe.1 }
            \new OboeII { \IV.Oboe.2 }
          >>
          \new Bassoon { \IV.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=\IV.transpose.HornStaff } \partCombine \IV.Horn.1 \IV.Horn.2
        \new Timpani \with { tuning=\IV.tuning.Timpani } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.CB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = \markup \center-column { "IV" { \fontsize #-2 "Version B" } } }
    \paper{}
    \score {
      \layout { \breaklayout V }
      \keepWithTag \Haydntags \tag #'Mvt5 <<
        \breaks V
        \V.structure
        \new StaffGroup <<
          \new Flute { \V.Flute }
          \new Oboes <<
            \new OboeI  { \V.Oboe.1 }
            \new OboeII { \V.Oboe.2 }
          >>
          \new BassoonIandII \partCombine \V.Bassoon.1 \V.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=\V.transpose.HornStaff } \partCombine \V.Horn.1 \V.Horn.2
        \new Timpani \with { tuning=\V.tuning.Timpani } { \V.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \V.Violin.1 }
            \new ViolinII { \V.Violin.2 }
          >>
          \new Viola { \V.Viola }
          \new CB    { \V.CB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = \markup \center-column { "IV" { \fontsize #-2 "Version C" } } }
    \paper{}
    \score {
      \layout { \breaklayout VI }
      \keepWithTag \Haydntags \tag #'Mvt6 <<
        \breaks VI
        \VI.structure
        \new StaffGroup <<
          \new Oboes <<
            \new OboeI  { \VI.Oboe.1 }
            \new OboeII { \VI.Oboe.2 }
          >>
          \new Bassoon { \VI.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=\VI.transpose.HornStaff } \partCombine \VI.Horn.1 \VI.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \VI.Violin.1 }
            \new ViolinII { \VI.Violin.2 }
          >>
          \new Viola { \VI.Viola }
          \new CB    { \VI.CB }
        >>
      >>
    }
  }
}
